<?php	
    //----
    //definition des constante qui nous interesse pour ce script
    define('SFS_MAIN_ADD_NEW', 'sfs_main_add_new');
    define('SFS_MAIN_ACTION_SELECT', 'sfs_main_action_select');
    define('SFS_MAIN_ACTION_DELETE_OPT', 'sfs_main_action_delete_opt');
    define('SFS_MAIN_DO_ACTION', 'sfs_main_do_action');
    define('SFS_MAIN_CHECKED_PREFIX','sfs_checked_');

    //----
    //on récupére la liste des enregistrement simaxFormSubmiter
    global $o_sfs_dbGest;
    $aFormList = $o_sfs_dbGest->get_enreg_list();

    //----
    //on regarde les actions a faire
    if(!empty($_POST))
    {
        if(isset($_POST[ SFS_MAIN_ADD_NEW ]) && $_POST[ SFS_MAIN_ADD_NEW ] != '')
        {
            //Creation d'un nouveau formulaire :
            $o_sfs_dbGest->create_empty_enreg();

            //on recupere la liste des enreg
            $aFormList = $o_sfs_dbGest->get_enreg_list();
        }
        elseif (isset($_POST[ SFS_MAIN_ACTION_SELECT ]) && $_POST[ SFS_MAIN_ACTION_SELECT ] == SFS_MAIN_ACTION_DELETE_OPT)
        {
            //suppression de un ou plusieur enregs :
            //on prepare la liste des enreg a suprimer
            $aIdToDelete = array();
            foreach($aFormList as $aFormInfo)
            {
                //si on a la case qui est coché :
                if( isset( $_POST[ SFS_MAIN_CHECKED_PREFIX . $aFormInfo[sfs_clEnumDbCols::sIdRow] ])  )
                {
                    $aIdToDelete[] = $aFormInfo[sfs_clEnumDbCols::sIdRow];
                }

                //on supprime
                $o_sfs_dbGest->multiple_delete($aIdToDelete);

                //on recupere la liste des enreg
                $aFormList = $o_sfs_dbGest->get_enreg_list();
            }

        }



    }

?>
<form name="sfs-main-form" id="sfs-main-form" action="" method="post">
    <div class="wrap">
        <div id="icon-edit-pages" class="icon32" style="background-position:-190px -5px"></div>
        <h2 style="color margin-bottom:20px">Simax FormSubmiter</h2>
            <input type="submit" class="button-secondary" name="<?php echo SFS_MAIN_ADD_NEW; ?>" value="Nouveau" />
        </h2>
        <?php if(count($aFormList)>0): ?>
            <div class="tablenav">

                <div class="alignleft actions">
                    <select name="<?php echo SFS_MAIN_ACTION_SELECT; ?>">
                    <option value="-1" selected="selected">Actions group&eacute;es</option>
                    <option value="<?php echo SFS_MAIN_ACTION_DELETE_OPT; ?>">Supprimer</option>
                    </select>
                    <input type="submit" value="Appliquer" name="<?php echo SFS_MAIN_DO_ACTION;?>" id="<?php echo SFS_MAIN_DO_ACTION;?>" class="button-secondary action" />
                </div>
                <div class="clear"></div>
            </div>

            <table class="widefat post fixed">
                <thead>
                <tr>
                    <th scope="col" class="manage-column column-cb check-column">&nbsp;</th>
                    <th>Titre</th>
                    <th>Id formulaire Simax</th>
                    <th>Shortcode</th>
                </tr>
                </thead>
                <tfoot>
                <tr>
                    <th scope="col" class="manage-column column-cb check-column">&nbsp;</th>
                    <th>Titre</th>
                    <th>Id formulaire Simax</th>
                    <th>Shortcode</th>
                </tr>
                </tfoot>
                <?php	 foreach($aFormList as $aFormRow): ?>
                    <tr class="alternate author-self status-publish iedit">
                        <td><input type="checkbox" name="<?php echo SFS_MAIN_CHECKED_PREFIX .  $aFormRow[ sfs_clEnumDbCols::sIdRow ];?>"/></td>
                        <td class="post-title column-title">
                            <strong><a class="row-title" href="<?php echo get_admin_url(null, 'admin.php')."?page=sfs-editFormPage-id&form-id=".$aFormRow[ sfs_clEnumDbCols::sIdRow ];?>"><?php echo $aFormRow[ sfs_clEnumDbCols::sTitle ];?></a></strong>
                        </td>
                        <td><?php echo $aFormRow[ sfs_clEnumDbCols::sIdSimaxForm ];?></td>
                        <td>[sfs-form-identification id="<?php echo $aFormRow[ sfs_clEnumDbCols::sIdRow ];?>" titre="<?php echo $aFormRow[ sfs_clEnumDbCols::sTitle ];?>" /]</td>
                    </tr>
                <?php endforeach; ?>
            </table>
    <?php else: ?>
        Aucun formulaire
    <?php endif; ?>
    </div>
</form>

