<?php

declare(strict_types=1);

namespace NOUT\Soap\StructType;

use InvalidArgumentException;
use NOUT\Soap\PackageBase\AbstractStructBase;

/**
 * This class stands for GetLanguagesResponse StructType
 * @subpackage Structs
 */
#[\AllowDynamicProperties]
class GetLanguagesResponse extends AbstractStructBase
{
    /**
     * The xml
     * @var \NOUT\Soap\StructType\LanguageCodeList|null
     */
    protected ?\NOUT\Soap\StructType\LanguageCodeList $xml = null;
    /**
     * Constructor method for GetLanguagesResponse
     * @uses GetLanguagesResponse::setXml()
     * @param \NOUT\Soap\StructType\LanguageCodeList $xml
     */
    public function __construct(?\NOUT\Soap\StructType\LanguageCodeList $xml = null)
    {
        $this
            ->setXml($xml);
    }
    /**
     * Get xml value
     * @return \NOUT\Soap\StructType\LanguageCodeList|null
     */
    public function getXml(): ?\NOUT\Soap\StructType\LanguageCodeList
    {
        return $this->xml;
    }
    /**
     * Set xml value
     * @param \NOUT\Soap\StructType\LanguageCodeList $xml
     * @return \NOUT\Soap\StructType\GetLanguagesResponse
     */
    public function setXml(?\NOUT\Soap\StructType\LanguageCodeList $xml = null): self
    {
        $this->xml = $xml;
        
        return $this;
    }
}
