<?php

declare(strict_types=1);

namespace NOUT\Soap\StructType;

use InvalidArgumentException;
use NOUT\Soap\PackageBase\AbstractStructBase;

/**
 * This class stands for GetPJResponse StructType
 * @subpackage Structs
 */
#[\AllowDynamicProperties]
class GetPJResponse extends AbstractStructBase
{
    /**
     * The xml
     * @var \NOUT\Soap\StructType\GetPJResponseType|null
     */
    protected ?\NOUT\Soap\StructType\GetPJResponseType $xml = null;
    /**
     * Constructor method for GetPJResponse
     * @uses GetPJResponse::setXml()
     * @param \NOUT\Soap\StructType\GetPJResponseType $xml
     */
    public function __construct(?\NOUT\Soap\StructType\GetPJResponseType $xml = null)
    {
        $this
            ->setXml($xml);
    }
    /**
     * Get xml value
     * @return \NOUT\Soap\StructType\GetPJResponseType|null
     */
    public function getXml(): ?\NOUT\Soap\StructType\GetPJResponseType
    {
        return $this->xml;
    }
    /**
     * Set xml value
     * @param \NOUT\Soap\StructType\GetPJResponseType $xml
     * @return \NOUT\Soap\StructType\GetPJResponse
     */
    public function setXml(?\NOUT\Soap\StructType\GetPJResponseType $xml = null): self
    {
        $this->xml = $xml;
        
        return $this;
    }
}
